<template>
  <div class="hello">
    <h3>Currently available rooms</h3>
    <button @click="$emit('refresh')">refresh list</button>
    <ul>
      <li v-for="chan in channels" :key="chan.name">
        <a :href="`/room/${encodeURIComponent(chan.name)}`">{{ chan.name }}</a>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: "RoomList",
  props: {
    channels: Array
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
